package com.zhilian.business.controller;

import com.zhilian.business.domain.BreakLog;
import com.zhilian.business.service.BreakLogService;
import com.zhilian.common.core.domain.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @ClassName BreakLogController
 * @Description TODO
 * @Author YuanYongH
 * @Date 2024/4/8 20:48
 */
@RestController
public class BreakLogController {

    @Autowired
    private BreakLogService breakLogService;

    @PostMapping("log")
    public Result<List<BreakLog>> breakLog() {
        List<BreakLog> list = breakLogService.breakLog();
        Result<List<BreakLog>> success = Result.success(list);
        return success;
    }

}
