package com.zhilian.business;

import com.zhilian.common.security.annotation.EnableCustomConfig;
import com.zhilian.common.security.annotation.EnableMyFeignClients;
import com.zhilian.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhiLian.business
 * @Description 启动类
 * @Author: LiYuan
 * @CreateTime: 2024-03-31  10:13
 * @Description: TODO
 * @Version: 1.0
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class ZhiLianBusinessApplication {
    public static void main(String[] args) {
        SpringApplication.run(ZhiLianBusinessApplication.class);
    }
}
